Skip to main content
PATCH
/
api
/
v1
/
cert-manager
/
discovery-jobs
/
{discoveryId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/cert-manager/discovery-jobs/{discoveryId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "targetConfig": {
    "ipRanges": [
      "<string>"
    ],
    "domains": [
      "<string>"
    ],
    "ports": "443, 8443, 636, 993, 995"
  },
  "isAutoScanEnabled": true,
  "scanIntervalDays": 183,
  "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isActive": true
}
'
import requests

url = "https://us.infisical.com/api/v1/cert-manager/discovery-jobs/{discoveryId}"

payload = {
"name": "<string>",
"description": "<string>",
"targetConfig": {
"ipRanges": ["<string>"],
"domains": ["<string>"],
"ports": "443, 8443, 636, 993, 995"
},
"isAutoScanEnabled": True,
"scanIntervalDays": 183,
"gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActive": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
targetConfig: {
ipRanges: ['<string>'],
domains: ['<string>'],
ports: '443, 8443, 636, 993, 995'
},
isAutoScanEnabled: true,
scanIntervalDays: 183,
gatewayId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
gatewayPoolId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isActive: true
})
};

fetch('https://us.infisical.com/api/v1/cert-manager/discovery-jobs/{discoveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "discoveryType": "network",
  "targetConfig": "<unknown>",
  "isAutoScanEnabled": false,
  "scanIntervalDays": 123,
  "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isActive": true,
  "lastScanStatus": "<string>",
  "lastScanJobId": "<string>",
  "lastScanMessage": "<string>",
  "lastScannedAt": "2023-11-07T05:31:56Z",
  "gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Path Parameters

discoveryId
string<uuid>
required

The ID of the discovery configuration

Body

application/json
name
string

Name of the discovery configuration

Required string length: 1 - 100
description
string | null

Description of the discovery configuration

Maximum string length: 500
targetConfig
object

Target configuration for discovery scans

isAutoScanEnabled
boolean

Enable automatic scheduled scans

scanIntervalDays
number | null

Interval in days between automatic scans

Required range: 1 <= x <= 365
gatewayId
string<uuid> | null

Gateway ID for scanning private networks

gatewayPoolId
string<uuid> | null

Gateway pool ID for scanning private networks

isActive
boolean

Whether the discovery configuration is active

Response

Default Response

id
string<uuid>
required
name
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string | null
discoveryType
string
default:network
targetConfig
any
isAutoScanEnabled
boolean
default:false
scanIntervalDays
number | null
gatewayId
string<uuid> | null
isActive
boolean
default:true
lastScanStatus
string | null
lastScanJobId
string | null
lastScanMessage
string | null
lastScannedAt
string<date-time> | null
gatewayPoolId
string<uuid> | null